> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miav.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Read configuration

> Sends GetConfiguration and returns the station configuration keys.



## OpenAPI

````yaml /openapi.json post /charging-stations/{id}/commands/get-configuration
openapi: 3.1.0
info:
  title: CSMS API
  description: Backend API documentation
  version: 0.0.0
servers: []
security: []
paths:
  /charging-stations/{id}/commands/get-configuration:
    post:
      tags:
        - charging station commands
      summary: Read configuration
      description: Sends GetConfiguration and returns the station configuration keys.
      operationId: postChargingStationsByIdCommandsGetConfiguration
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keys:
                  type: array
                  items:
                    type: string
                    maxLength: 50
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    oneOf:
                      - type: object
                        properties:
                          ocppVersion:
                            type: string
                            const: '1.6'
                          response:
                            type: object
                            properties:
                              configurationKey:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    key:
                                      type: string
                                      maxLength: 50
                                    readonly:
                                      type: boolean
                                    value:
                                      type: string
                                      maxLength: 500
                                  required:
                                    - key
                                    - readonly
                                  additionalProperties: false
                              unknownKey:
                                type: array
                                items:
                                  type: string
                                  maxLength: 50
                            additionalProperties: false
                        required:
                          - ocppVersion
                          - response
                        additionalProperties: false
                      - type: object
                        properties:
                          ocppVersion:
                            type: string
                            const: 2.0.1
                          response:
                            type: object
                            properties:
                              customData:
                                type: object
                                properties:
                                  vendorId:
                                    type: string
                                    maxLength: 255
                                required:
                                  - vendorId
                                additionalProperties: {}
                              getVariableResult:
                                minItems: 1
                                type: array
                                items:
                                  type: object
                                  properties:
                                    customData:
                                      type: object
                                      properties:
                                        vendorId:
                                          type: string
                                          maxLength: 255
                                      required:
                                        - vendorId
                                      additionalProperties: {}
                                    attributeStatusInfo:
                                      type: object
                                      properties:
                                        customData:
                                          type: object
                                          properties:
                                            vendorId:
                                              type: string
                                              maxLength: 255
                                          required:
                                            - vendorId
                                          additionalProperties: {}
                                        reasonCode:
                                          type: string
                                          maxLength: 20
                                        additionalInfo:
                                          type: string
                                          maxLength: 512
                                      required:
                                        - reasonCode
                                      additionalProperties: false
                                    attributeStatus:
                                      type: string
                                      enum:
                                        - Accepted
                                        - Rejected
                                        - UnknownComponent
                                        - UnknownVariable
                                        - NotSupportedAttributeType
                                    attributeType:
                                      type: string
                                      enum:
                                        - Actual
                                        - Target
                                        - MinSet
                                        - MaxSet
                                    attributeValue:
                                      type: string
                                      maxLength: 2500
                                    component:
                                      type: object
                                      properties:
                                        customData:
                                          type: object
                                          properties:
                                            vendorId:
                                              type: string
                                              maxLength: 255
                                          required:
                                            - vendorId
                                          additionalProperties: {}
                                        evse:
                                          type: object
                                          properties:
                                            customData:
                                              type: object
                                              properties:
                                                vendorId:
                                                  type: string
                                                  maxLength: 255
                                              required:
                                                - vendorId
                                              additionalProperties: {}
                                            id:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                            connectorId:
                                              type: integer
                                              minimum: -9007199254740991
                                              maximum: 9007199254740991
                                          required:
                                            - id
                                          additionalProperties: false
                                        name:
                                          type: string
                                          maxLength: 50
                                        instance:
                                          type: string
                                          maxLength: 50
                                      required:
                                        - name
                                      additionalProperties: false
                                    variable:
                                      type: object
                                      properties:
                                        customData:
                                          type: object
                                          properties:
                                            vendorId:
                                              type: string
                                              maxLength: 255
                                          required:
                                            - vendorId
                                          additionalProperties: {}
                                        name:
                                          type: string
                                          maxLength: 50
                                        instance:
                                          type: string
                                          maxLength: 50
                                      required:
                                        - name
                                      additionalProperties: false
                                  required:
                                    - attributeStatus
                                    - component
                                    - variable
                                  additionalProperties: false
                            required:
                              - getVariableResult
                            additionalProperties: false
                        required:
                          - ocppVersion
                          - response
                        additionalProperties: false
                required:
                  - result
        '400':
          description: The command is not valid for this charging station
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 400
                  message:
                    type: string
                    const: The command is not valid for this charging station
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_INVALID
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '404':
          description: Charging station not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 404
                  message:
                    type: string
                    const: Charging station not found
                  type:
                    type: string
                    const: CHARGING_STATION_NOT_FOUND
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '409':
          description: The charging station is not connected
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 409
                  message:
                    type: string
                    const: The charging station is not connected
                  type:
                    type: string
                    const: CHARGING_STATION_OFFLINE
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '502':
          description: The charging station rejected or answered the command incorrectly
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 502
                  message:
                    type: string
                    const: >-
                      The charging station rejected or answered the command
                      incorrectly
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_FAILED
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '503':
          description: The OCPP server is shutting down
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 503
                  message:
                    type: string
                    const: The OCPP server is shutting down
                  type:
                    type: string
                    const: CHARGING_STATION_SERVER_CLOSING
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '504':
          description: The charging station did not answer in time
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 504
                  message:
                    type: string
                    const: The charging station did not answer in time
                  type:
                    type: string
                    const: CHARGING_STATION_COMMAND_TIMEOUT
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type

````